> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inference API key

> This endpoint retrieves a specific API key for everywhere inference.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/inference/{project_id}/api_keys/{api_key_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/inference/{project_id}/api_keys/{api_key_name}:
    get:
      tags:
        - Everywhere Inference
      summary: Get inference API key
      description: This endpoint retrieves a specific API key for everywhere inference.
      operationId: InferenceApiKeyHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: api_key_name
          required: true
          description: Api key name.
          schema:
            description: Api key name.
            example: aws-dev
            examples:
              - aws-dev
            minLength: 4
            pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
            title: Api Key Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiKeyResponseSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            inference_api_key = client.cloud.inference.api_keys.get(
                api_key_name="aws-dev",
                project_id=1,
            )
            print(inference_api_key.created_at)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinferenceAPIKey, err := client.Cloud.Inference.APIKeys.Get(\n\t\tcontext.TODO(),\n\t\t\"aws-dev\",\n\t\tcloud.InferenceAPIKeyGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inferenceAPIKey.CreatedAt)\n}\n"
components:
  schemas:
    GetApiKeyResponseSerializer:
      properties:
        created_at:
          description: Timestamp when the API Key was created.
          example: '2023-10-01T12:00:00Z'
          examples:
            - '2023-10-01T12:00:00Z'
          title: Created At
          type: string
        deployment_names:
          description: >-
            List of inference deployment names to which this API Key has been
            attached.
          example:
            - inference-1
            - inference-2
          examples:
            - - inference-1
              - inference-2
          items:
            type: string
          title: Deployment Names
          type: array
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Description of the API Key.
          examples:
            - This key is used for accessing the inference service.
          title: Description
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp when the API Key will expire.
          examples:
            - '2024-10-01T12:00:00Z'
          title: Expires At
        name:
          description: API Key name.
          example: my-api-key
          examples:
            - my-api-key
          title: Name
          type: string
      required:
        - name
        - description
        - created_at
        - expires_at
        - deployment_names
      title: GetApiKeyResponseSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````